"""add feed alertable

Revision ID: dd0a105cbbae
Revises: 0b10183fde28
Create Date: 2022-08-03 11:56:30.270202

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "dd0a105cbbae"
down_revision = "0b10183fde28"
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        "feeds",
        sa.Column("alertable", sa.Boolean(), default=True, nullable=True),
    )
    op.execute("UPDATE feeds SET alertable = true")
    op.alter_column("feeds", "alertable", nullable=False)


def downgrade():
    op.drop_column("feeds", "alertable")
